Bug 25303 - Kernel 2.4.0 + NFS + tcsh problem
Kernel 2.4.0 + NFS + tcsh problem
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-30 10:14 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 19:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-30 10:14:29 EST
In the network I have a Silicon Graphics Indy workstation with Irix 6.5
   operating system with exporting a directory with NFS, included in it.
   I want mount this directory on the Linux machines using kernel NFS. In
   some circumstances there are some missing directories and files!
   An example (tcsh):
   
$ ls -l
   total 16
-rw-r-----    1 nutzer   complan       479 Apr  9  1997 INHALT
drwxr-x---    2 nutzer   complan      4096 Apr  9  1997 indigo-rock
drwxr-----    2 nutzer   complan      4096 Apr  9  1997 movies
drwxr-x---    2 nutzer   complan       147 Apr  9  1997 music
drwxr-x---    2 nutzer   complan      4096 Apr  9  1997 sounds

$ ls -ld *
-rw-r-----    1 nutzer   complan       479 Apr  9  1997 INHALT
drwxr-x---    2 nutzer   complan      4096 Apr  9  1997 indigo-rock
drwxr-x---    2 nutzer   complan       147 Apr  9  1997 music
drwxr-x---    2 nutzer   complan      4096 Apr  9  1997 sounds

   In the 2. list directory "movies" can't be seen. The same happens in
   mc (any version). But with sh it works properly (also NFS is OK) !
   
   I have tested it on 3 Linux workstation (HP Kayak PIII, DTK III, noname"
   Dual PIII) with RH6.2 and RH7.0 both, with kernels 2.2.16, 2.2.18, 2.4.0
   (NFS server and client version 3 enabled). fstab parameters, users (UID,
   GID) and rights are the same.
   
   Conclusion: It happens only with
   RedHat7.0 AND kernel 2.4.0 AND ( tcsh OR mc ) !
   In any other variation it works properly.
Comment 1 Eido Inoue 2001-02-13 14:05:12 EST
Is the directory you're listing NFS mounted? The combination of new kernel, odd
permissions on the one directory you can't see, plus tcsh (it's builtin ls is
different)
Comment 2 Need Real Name 2001-02-14 05:10:30 EST
Yes, it happens only with NFS mounted directories. With kernel 2.4.1 the problem
is the same.
The permission on the "invisible" directory is neutral, the same happens with
chmod 666 or chmod 777.
The list I sent was only an example, I can not see a lot of other directories
and files under this (NFS) tree.

oferenc@etv.hu (otvos@sztaki.hu)
Comment 3 Michael K. Johnson 2001-02-14 11:44:39 EST
The 2.4 kernel is not yet supported on Red Hat Linux 7.0; the
2.4 kernel preview we shipped with 7.0 was an unsupported preview
only.

That said, we want to know about it.  Could you try the kernels
from our RawHide release and see if they fix this?  The 2.4.0-0.99.23
kernels are based on 2.4.0-ac10, which has many fixes over plain
2.4.0.
Comment 4 Michael K. Johnson 2001-02-14 11:46:34 EST
Note that you'll also need the latest modutils from rawhide
as well as the latest kernel.  Our current source has a
dependency built in, but I'm not sure we had the dependency
in when we built the kernels in rawhide.
Comment 5 Need Real Name 2001-02-14 12:07:26 EST
OK. Can you tell me how to obtain this kernel and the needed things (modutils) ?
Comment 6 Michael K. Johnson 2001-02-14 12:19:42 EST
Get them from ftp://ftp.redhat.com/rawhide/i386/RedHat/RPMS/

Note You need to log in before you can comment on or make changes to this bug.